rpm-4.1 build error

Todd Pytel tppytel at earthlink.net
Sun Nov 17 14:59:15 PST 2002


I've gotten the same error, and while I was checking it out on the
rpm-list, I discovered all the problems with rpm-4.1 - segfaults, stale
locks, broken relocation, to name the most significant ones. Unless you
have some specific need for 4.1, I would recommend using 4.0.4 - which
includes popt and db, so you don't need to install those separately.
I've repackaged all of LFS 4.0 with rpm 4.0.4, and haven't run into any
problems yet. If you do go with 4.0.4, ignore "make check" - it's out of
date, much like all the other documentation associated with RPM.

--Todd

> Hi.
> 
> I just planned to install rpm 4.1 on my standard lfs 4.0 
> system and found the two hints. For not to run into errors, I 
> proceeded step by step like described in the hints. 
> Unfortunately this didn't work out. When building rpm, the 
> following errors occured:
> 
> gcc -DHAVE_CONFIG_H -I. -I. -I.. -I. -I.. -I../build 
> -I../rpmdb -I../rpmio -I../popt -I../zlib -g -O2 
> -D_GNU_SOURCE -D_REENTRANT -Wall -Wpointer-arith 
> -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts 
> -c poptALL.c -MT poptALL.lo -MD -MP -MF .deps/poptALL.TPlo  
> -fPIC -DPIC -o .libs/poptALL.lo
> poptALL.c: In function `rpmcliInit':
> poptALL.c:338: parse error before ';' token
> make[3]: *** [poptALL.lo] Error 1
> make[3]: Leaving directory `/tarballs/rpm-4.1/lib'
> make[2]: *** [all] Error 2
> make[2]: Leaving directory `/tarballs/rpm-4.1/lib'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/tarballs/rpm-4.1'
> make: *** [all] Error 2
> 
> Does anybody know what's going wrong here?
> 
> Bye
> Martin
> -- 
> Unsubscribe: send email to listar at linuxfromscratch.org
> and put 'unsubscribe blfs-support' in the subject header of 
> the message
> 
> 


-- 
Unsubscribe: send email to listar at linuxfromscratch.org
and put 'unsubscribe blfs-support' in the subject header of the message



More information about the blfs-support mailing list